Subject: bug#58150: 29.0.50; parse_tool_bar_item should not usually upcase "and"

From: Sean Whitton <[email-masked]>
Date: Wed, 28 Sep 2022 13:38:50 -0700

Hello,

On Wed 28 Sep 2022 at 01:02PM -07, Sean Whitton wrote:

> In a Gnus summary buffer, there is a toolbar button "Reply And Yank".
>
> It should be labelled "Reply and Yank" (or "Reply and yank").
>
> The call to upcase-initials in parse_tool_bar_item in keyboard.c is
> responsible.  How about adding an exception for the word "and"?  It's
> pretty jarring to see on the toolbar.

There is also "Edit From Gnus" which should be "Exit from Gnus".

One possibility is a defcustom to only upcase the very first character.
Maybe it should even be t by default: this will produce more correct
results than the current scheme.

-- 
Sean Whitton